<?php	
	
	session_start();
	include('conexion.php');	
	date_default_timezone_set('America/Mexico_City');
	$time = time();
	$_SESSION['tipo'] = 2;	
	$tarjeta = $_GET['tarjeta'];
	$fecha_inicio = $_GET['fecha_inicio'];
	$fecha_fin = $_GET['fecha_fin'];
	
	$fini = date_create($fecha_inicio);
	$finiMuestra =  date_format($fini, 'Ymd');	
	$ffin = date_create($fecha_fin);
	$ffinMuestra =  date_format($ffin, 'Ymd');	
	
	$path = "./REPORTE CONSUMOS DE VEHICULOS.txt";
	
	$sql = "SELECT saldo from transacciones where id_cliente =".$_SESSION["id_cliente"]." and id_turno>= '".$finiMuestra."00"."' and id_turno<='" .$ffinMuestra."06"."' order by id_transaccion desc limit 1";
	$resultado = $iden->query($sql); 
								
	if(!$resultado) 
		die("Error: no se pudo realizar la consulta saldo");
	$_SESSION['saldo_muestra'] = 0;
	while($fila = $resultado->fetch_assoc()) 
	{
		
		$_SESSION['saldo_muestra'] = $fila['saldo'];
	}
	$resultado->free();
	$_SESSION['saldo_muestra'] = number_format($_SESSION['saldo_muestra'], 2, '.', ',');

	$file = fopen($path, "w+");
	fwrite($file, "REPORTE CONSUMOS DE VEHICULOS" ."\t\t\t\t".'Fecha:' ."\t". date("Y/m/d  H:i:s", $time) . PHP_EOL);
	fwrite($file,"Cliente"."\t". $_SESSION["id_cliente"] . PHP_EOL);
	fwrite($file,"Razon Social"."\t". $_SESSION["razon_social"] . PHP_EOL);
	fwrite($file,"Saldo"."\t". $_SESSION["saldo_muestra"] . PHP_EOL);
	fwrite($file,"Fecha Inicio"."\t". $fecha_inicio . PHP_EOL);
	fwrite($file,"Fecha Fin"."\t". $fecha_fin . PHP_EOL);
	fwrite($file, "". PHP_EOL);
	
	$sql="select ";
	$sql.="c.id_tag as tag, ";
	$sql.="c.descripcion as descripcion, ";
	$sql.="count(*) as consumos, ";
	$sql.="sum(b.volumen) as volumen, ";
	$sql.="sum(b.monto) as monto ";
	$sql.="from ";
	$sql.="transacciones a, ";
	$sql.="transacciones_detalle b, ";
	$sql.="vehiculos c ";
	$sql.="where ";
	$sql.="a.id_transaccion=b.id_transaccion and ";
	$sql.="a.id_vehiculo = c.id_vehiculo and ";
	$sql.="a.id_cliente = ".$_SESSION['id_cliente']." and ";
	$sql.="a.id_turno>= '" .$finiMuestra."00"."' and a.id_turno<='" .$ffinMuestra."06"."' ";
	
	if($tarjeta != 0)
		$sql.="and c.id_vehiculo = ".$tarjeta." ";
	
	$sql.="group by ";
	$sql.="a.id_tag, ";
	$sql.="c.descripcion ";
	$sql.="order by ";
	$sql.="a.id_tag ";
	
	$resultado = $iden->query($sql); 
	
	if(!$resultado) 
		die("Error: no se pudo realizar la consulta".$sql);
	
	$número_filas = $resultado->num_rows;
	$num_consumos = 0;	
	if($número_filas > 0)
	{
		fwrite($file, "Tarjeta"."\t"."Descripcion"."\t"."Consumos"."\t"."Volumen"."\t"."Monto". PHP_EOL);		
		while($fila = $resultado->fetch_assoc()) 
		{		
			fwrite($file, $fila["tag"]."\t".$fila["descripcion"]."\t".$fila["consumos"]."\t".number_format($fila["volumen"],3)."\t".number_format($fila["monto"],2). PHP_EOL);				
			$num_consumos = $num_consumos + $fila['consumos'];
			$total_volumen = $total_volumen + $fila['volumen'];
			$total_monto = $total_monto + $fila['monto'];
		}
		$resultado->free();
		fwrite($file, 'Total tarjetas '.$número_filas."\t".'Total'."\t".$num_consumos."\t".number_format($total_volumen,3)."\t".number_format($total_monto,2). PHP_EOL);						
	}		
	mysqli_close($iden);
	fclose($file);
	if (file_exists($path)) {
		header('Content-Description: File Transfer');
		header('Content-Type: application/octet-stream');
		header('Content-Disposition: attachment; filename="'.basename($path).'"');
		header('Expires: 0');
		header('Cache-Control: must-revalidate');
		header('Pragma: public');
		header('Content-Length: ' . filesize($path));
		ob_clean();
		flush();
		readfile($path);
		exit;
	}
?>